Last Comment Bug 565044 - Update .bh entry in the PSL
: Update .bh entry in the PSL
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 07:38 PDT by Gervase Markham [:gerv]
Modified: 2010-06-25 09:14 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.7-fixed
.11-fixed


Attachments
Patch v.1 (505 bytes, patch)
2010-05-11 07:39 PDT, Gervase Markham [:gerv]
pkasting: review-
Details | Diff | Splinter Review
Patch v.2 (481 bytes, patch)
2010-05-18 08:08 PDT, Gervase Markham [:gerv]
pkasting: review+
dveditz: approval1.9.2.7+
dveditz: approval1.9.1.11+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-05-11 07:38:37 PDT
From Michael Spahn <support@think-cell.com>:

Hi,

we are using the PSL to determine the unique parts of email addresses for
our online shop. In order to correctly handle some of our customers from
Bahrain we are requesting the following change to the list. It includes the
2nd-level domains for the .bh TLD already documented by Wikipedia.

--- effective_tld_names.dat.txt 2010-05-10 13:14:23.098015600 +0200
+++ effective_tld_names.dat_modified.txt        2010-05-10
13:16:07.475452300 +0200
@@ -383,9 +383,15 @@
 9.bg

 // bh : http://en.wikipedia.org/wiki/.bh
-// list of other 2nd level tlds ?
 bh
 com.bh
+info.bh
+cc.bh
+edu.bh
+biz.bh
+net.bh
+org.bh
+gov.bh

 // bi : http://en.wikipedia.org/wiki/.bi
 // http://whois.nic.bi/

Kind regards,
Michael
Comment 1 Gervase Markham [:gerv] 2010-05-11 07:39:59 PDT
Created attachment 444664 [details] [diff] [review]
Patch v.1
Comment 2 Peter Kasting 2010-05-11 10:38:23 PDT
Comment on attachment 444664 [details] [diff] [review]
Patch v.1

I cannot find any documents on BATELCO's site about domain registration, and I can't find any actual domains on info.bh, cc.bh, and biz.bh.  It seems like unless we can find some registrar policies somewhere we should leave these off?
Comment 3 Gervase Markham [:gerv] 2010-05-18 08:08:24 PDT
Created attachment 445963 [details] [diff] [review]
Patch v.2

OK, try this.

Gerv
Comment 4 Gervase Markham [:gerv] 2010-05-26 06:42:07 PDT
http://hg.mozilla.org/mozilla-central/rev/f9ee89dabfc9

Gerv
Comment 5 Daniel Veditz [:dveditz] 2010-06-14 10:47:46 PDT
Comment on attachment 445963 [details] [diff] [review]
Patch v.2

Approved for 1.9.2.6 and 1.9.1.11, a=dveditz for release-drivers
Comment 6 Gervase Markham [:gerv] 2010-06-24 03:12:44 PDT
1.9.1: http://hg.mozilla.org/releases/mozilla-1.9.1/rev/c64d8ac60bfb

Gerv
Comment 7 christian 2010-06-24 18:55:56 PDT
This still needs to be landed on 1.9.2, correct? I don't see it landed there.
Comment 8 Gervase Markham [:gerv] 2010-06-25 09:14:14 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/f3c27935cb6b

All done.

Gerv

Note You need to log in before you can comment on or make changes to this bug.